System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.InternalDataCollectionBase System.ComponentModel.ListBindable(false) System.ComponentModel.DefaultEvent("CollectionChanged") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.TablesCollectionEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The contains all the objects for a particular . To access the of a , use the property.

The uses methods such as , , and to manage the items in the collection.

Use the method to determine whether a particular table (specified by either index or name) is in the collection.

To navigate from one table to another, use the or property of the to access its collection of objects. You can also use the property to navigate through the parent/child relationships of the DataTables in a particular collection.

Represents the collection of tables for the .

- Method
  System.Data.DataTable

  Because no name is specified, the DataTable is created by using a default name, relative to its order of addition. The default name is "Table1."

  The event occurs when a table is successfully added to the collection.

  Creates a new object by using a default name and adds it to the collection.

  The newly created .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The event occurs when a table is successfully added to the collection.

  Adds the specified DataTable to the collection.

  The DataTable object to add. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataTable ``

  If either null or an empty string ("") is passed in, a default name is given to the newly created DataTable. This name is based on the order in which the table was added ("Table1", "Table2", and so on).

  The event occurs if the table is successfully added to the collection.

  Creates a object by using the specified name and adds it to the collection.

  The newly created .

  The name to give the created . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.DataTable `` `` To be added.

  If either null or an empty string ("") is passed in, a default name is given to the newly created DataTable. This name is based on the order in which the table was added ("Table1", "Table2", and so on).

  The event occurs if the table is successfully added to the collection.

  Creates a object by using the specified name and adds it to the collection.

  The newly created .

  The name to give the created .
- Method
  System.Void `` To be added

  Copies the elements of the specified array to the end of the collection.

  The array of objects to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Verifies whether the specified object can be removed from the collection.

  true if the table can be removed; otherwise false.

  The DataTable in the collection to perform the check against. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  To remove a particular DataTable from the collection, use the method.

  Clears the collection of all objects.

  1.0.5000.0
  2.0.0.0
- Event
  System.ComponentModel.CollectionChangeEventHandler

  For more information about handling events, see Consuming Events.

  Occurs after the is changed because of objects being added or removed.

  1.0.5000.0
  2.0.0.0
- Event
  System.ComponentModel.CollectionChangeEventHandler

  For more information about handling events, see Consuming Events.

  Occurs while the is changing because of objects being added or removed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  You specify the name of the object by using the property. If you add a to the collection with the method, passing no arguments, the table is given a default name, based on the order in which the table was added ("Table1", "Table2", and so on).

  To get the index of a , use the method.

  Returns false when two or more tables have the same name but different namespaces. The call does not succeed if there is any ambiguity when matching a table name to exactly one table.

  Gets a value that indicates whether a object with the specified name exists in the collection.

  true if the specified table exists; otherwise false.

  The name of the to find. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` ``

  You specify the name of the object by using the property. If you add a to the collection with the method, passing no arguments, the table is given a default name, based on the order in which the table was added ("Table1", "Table2", and so on).

  Returns false when two or more tables have the same name but different namespaces. The call does not succeed if there is any ambiguity when matching a table name to exactly one table.

  To get the index of a , use the method.

  Gets a value that indicates whether a object with the specified name and table namespace exists in the collection.

  true if the specified table exists; otherwise false.

  The name of the to find. The name of the namespace to look in.
- Method
  2.0.0.0
  System.Void `` ``

  This method can be overridden by a derived class.

  Copies all the elements of the current to a one-dimensional , starting at the specified destination array index.

  The one-dimensional to copy the current object's elements into. The destination index to start copying into.
- Method
  System.Int32 ``

  Use the method to determine the exact index of a given table.

  Before calling , you can test for the existence of a table (specified by either index or name) by using the method.

  Gets the index of the specified object.

  The zero-based index of the table, or -1 if the table is not found in the collection.

  The DataTable to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  You specify the name of the DataTable object by using the property.

  Gets the index in the collection of the object with the specified name.

  The zero-based index of the DataTable with the specified name, or -1 if the table does not exist in the collection.

  Returns -1 when two or more tables have the same name but different namespaces. The call does not succeed if there is any ambiguity when matching a table name to exactly one table.

  The name of the DataTable object to look for. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` ``

  You specify the name of the object by using the property.

  Gets the index in the collection of the specified object.

  The zero-based index of the with the specified name, or -1 if the table does not exist in the collection.

  The name of the object to look for. The name of the namespace to look in.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataTable `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataTable `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Data.DataTable `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Collections.ArrayList To be added: an object of type 'Collections.ArrayList' To be added

  Lists the objects in a collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Raises the OnCollectionChanged event.

  A object. 1.0.5000.0
- Method
  1.0.5000.0
  System.Void `` To be added.

  Raises the OnCollectionChanging event.

  A object.
- Method
  System.Void ``

  The event occurs when a table is successfully removed.

  To determine whether a given table exists and can be removed before invoking , use the and the methods.

  Removes the specified object from the collection.

  The DataTable to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The event occurs when a table is successfully removed.

  To determine whether a given table exists and can be removed before invoking , use the and the methods.

  Removes the object with the specified name from the collection.

  The name of the object to remove. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  The event occurs when a table is successfully removed.

  To determine whether a given table exists and can be removed before invoking , use the and the methods.

  Removes the object with the specified name from the collection.

  The name of the object to remove. The name of the namespace to look in.
- Method
  System.Void ``

  The event occurs when a table is successfully removed.

  Removes the object at the specified index from the collection.

  The index of the DataTable to remove. 1.0.5000.0 2.0.0.0